import {Injectable} from '@angular/core';
import {Action} from '@ngrx/store';

@Injectable()
export class LocationActions {

    static GET_LOCATION = '[LOCATION] Get LOCATION';
    getLocation(): Action {
        return {
            type: LocationActions.GET_LOCATION
        };
    }

    static GET_LOCATION_SUCCESS = '[LOCATION] Get LOCATION Success';
    getLocationSuccess(location): Action {
        return {
            type: LocationActions.GET_LOCATION_SUCCESS,
            payload : location
        };
    }
    
    static RESET_BLANK_LOCATION = '[LOCATION] Reset Blank LOCATION';
    resetBlankLocation(): Action {
        return {
            type: LocationActions.RESET_BLANK_LOCATION
        };
    }
}